local AddonName, Addon = ...

-- Libs
local L = Addon.Libs.L

-- Upvalues
local strupper, UIFrameFadeIn, UIFrameFadeOut =
      strupper, UIFrameFadeIn, UIFrameFadeOut

-- Modules
local Game = Addon.Game
local Paused = Game.States.Paused

-- ============================================================================
-- GameState Functions
-- ============================================================================

-- function Paused:Initialize() end

function Paused:OnEnter()
  Game.UIFrame.HelpText:SetText(strupper(L.PAUSED_TEXT))
  UIFrameFadeIn(Game.UIFrame.HelpText, 0.2)
end

function Paused:OnLeave()
  UIFrameFadeOut(Game.UIFrame.HelpText, 0.2)
end

-- function Paused:OnPause() end
-- function Paused:OnResume() end

function Paused:OnUpdate()
  if Game.Input:IsMouseJustDown("RightButton") then Game:PopState() end
end
