local AddonName, Addon = ...

-- Libs
local L = Addon.Libs.L

-- Upvalues
local UIFrameFadeIn, UIFrameFadeOut = UIFrameFadeIn, UIFrameFadeOut

-- Modules
local Game = Addon.Game
local StartGame = Game.States.StartGame

-- ============================================================================
-- GameState Functions
-- ============================================================================

function StartGame:Initialize()
  Addon.ParallaxBackground:Initialize()
  Addon.Player:Initialize()
end

function StartGame:OnEnter()
  UIFrameFadeIn(Game.UIFrame.HighScoreText, 0.2)
  Game.UIFrame.HelpText:SetText(L.HELP_TEXT)
  UIFrameFadeIn(Game.UIFrame.HelpText, 0.2)
end

function StartGame:OnLeave()
  UIFrameFadeOut(Game.UIFrame.HighScoreText, 0.2)
  UIFrameFadeOut(Game.UIFrame.HelpText, 0.2)
end

-- function StartGame:OnPause() end
-- function StartGame:OnResume() end

function StartGame:OnUpdate()
  if Game.Input:IsMouseJustDown("RightButton") then Game:SetState(Game.States.Playing) end
end
